# algorithms.interpolation

## Module: `algorithms.interpolation`

Inheritance diagram for `nipy.algorithms.interpolation`:

Image interpolators using ndimage.

## `ImageInterpolator`

class nipy.algorithms.interpolation.ImageInterpolator(image, order=3, mode='constant', cval=0.0)

  Bases: `object`

  Interpolate Image instance at arbitrary points in world space

  The resampling is done with `scipy.ndimage`.

  __init__(image, order=3, mode='constant', cval=0.0)
    Parameters:
      image Image

        Image to be interpolated.

      order int, optional

        order of spline interpolation as used in `scipy.ndimage`. Default is 3.

      mode str, optional

        Points outside the boundaries of the input are filled according to the given mode (‘constant’, ‘nearest’, ‘reflect’ or ‘wrap’). Default is ‘constant’.

      cval scalar, optional

        Value used for points outside the boundaries of the input if mode=’constant’. Default is 0.0.

  evaluate(points)

    Resample image at points in world space

    Parameters:
      points array

        values in self.image.coordmap.output_coords. Each row is a point.

    Returns:
      V ndarray

        interpolator of self.image evaluated at points

  property mode

    Mode is read-only

  n_prepad_if_needed = 12
  property order

    Order is read-only